# Driver interface to IoFileMgr

## Detailed Description

This module contains the imports for the kernel's IO routines.

## Data Structures

struct | PspIoDrvArg
| Structure passed to the init and exit functions of the io driver system. More...
struct | PspIoDrvFileArg
| Structure passed to the file functions of the io driver system. More...
struct | PspIoDrvFuncs
| Structure to maintain the file driver pointers. More...
struct | PspIoDrv

## Typedefs

typedef PspIoDrvArg | PspIoDrvArg
| Structure passed to the init and exit functions of the io driver system.
typedef PspIoDrvFileArg | PspIoDrvFileArg
| Structure passed to the file functions of the io driver system.
typedef PspIoDrvFuncs | PspIoDrvFuncs
| Structure to maintain the file driver pointers.
typedef PspIoDrv | PspIoDrv

## Functions

int | sceIoAddDrv (PspIoDrv *drv)
| Adds a new IO driver to the system.
int | sceIoDelDrv (const char *drv_name)
| Deletes a IO driver from the system.
int | sceIoReopen (const char *file, int flags, SceMode mode, SceUID fd)
| Reopens an existing file descriptor.

## Typedef Documentation

typedef struct PspIoDrv PspIoDrv

typedef struct PspIoDrvArg PspIoDrvArg

| Structure passed to the init and exit functions of the io driver system.

typedef struct PspIoDrvFileArg PspIoDrvFileArg

| Structure passed to the file functions of the io driver system.

typedef struct PspIoDrvFuncs PspIoDrvFuncs

| Structure to maintain the file driver pointers.

## Function Documentation

int sceIoAddDrv | ( | PspIoDrv * | drv | ) |

Adds a new IO driver to the system.

Note:
  This is only exported in the kernel version of IoFileMgr

Parameters:

  | drv | - Pointer to a filled out driver structure

Returns:
  < 0 on error.

Example:

       PspIoDrvFuncs host_funcs = { ... };
       PspIoDrv host_driver = { "host", 0x10, 0x800, "HOST", &host_funcs };
       sceIoDelDrv("host");
       sceIoAddDrv(&host_driver);

int sceIoDelDrv | ( | const char * | drv_name | ) |

Deletes a IO driver from the system.

Note:
  This is only exported in the kernel version of IoFileMgr

Parameters:

  | drv_name | - Name of the driver to delete.

Returns:
  < 0 on error

int sceIoReopen | ( | const char * | file,
|  | int | flags,
|  | SceMode | mode,
|  | SceUID | fd
| ) |

Reopens an existing file descriptor.

Parameters:

  | file | - The new file to open.
  | flags | - The open flags.
  | mode | - The open mode.
  | fd | - The old filedescriptor to reopen

Returns:
  < 0 on error, otherwise the reopened fd.